# QuerySkeleton Class Reference
[Dynamic query builder]

Inheritance diagram for QuerySkeleton:
[legend]

List of all members.

## Public Member Functions

| getWhere ()
| getWhereLogic ()
| where (LogicalObject $exp, $logic=null)
| andWhere (LogicalObject $exp)
| orWhere (LogicalObject $exp)
| returning ($field, $alias=null)
| dropReturning ()
| toDialectString (Dialect $dialect)

## Protected Member Functions

| resolveSelectField ($field, $alias, $table)
| resolveAliasByField ($field, $alias)
| checkReturning (Dialect $dialect)
| toDialectStringField ($field, Dialect $dialect)
| toDialectStringReturning (Dialect $dialect)

## Protected Attributes

| $where = array()
| $whereLogic = array()
| $aliases = array()
| $returning = array()

## Detailed Description

Definition at line 15 of file QuerySkeleton.class.php.

## Member Function Documentation

QuerySkeleton::andWhere | ( | LogicalObject $ | exp | ) |

Returns:
  QuerySkeleton

Definition at line 56 of file QuerySkeleton.class.php.

References where().

Referenced by OneToManyLinkedWorker::targetize().

Here is the call graph for this function:

QuerySkeleton::checkReturning | ( | Dialect $ | dialect | ) | `[protected]`

Returns:
  QuerySkeleton

Definition at line 183 of file QuerySkeleton.class.php.

References Dialect::hasReturning(), and returning().

Referenced by InsertOrUpdateQuery::toDialectString(), and DeleteQuery::toDialectString().

Here is the call graph for this function:

QuerySkeleton::dropReturning | ( |  | ) |

Returns:
  QuerySkeleton

Definition at line 91 of file QuerySkeleton.class.php.

References returning().

Here is the call graph for this function:

QuerySkeleton::getWhere | ( |  | ) |

Definition at line 22 of file QuerySkeleton.class.php.

QuerySkeleton::getWhereLogic | ( |  | ) |

Definition at line 27 of file QuerySkeleton.class.php.

QuerySkeleton::orWhere | ( | LogicalObject $ | exp | ) |

Returns:
  QuerySkeleton

Definition at line 64 of file QuerySkeleton.class.php.

References where().

Here is the call graph for this function:

QuerySkeleton::resolveAliasByField | ( | $ | field,
|  | $ | alias |
| ) |  |  | `[protected]`

Definition at line 159 of file QuerySkeleton.class.php.

Referenced by SelectQuery::get(), and returning().

QuerySkeleton::resolveSelectField | ( | $ | field,
|  | $ | alias,
|  | $ | table |
| ) |  |  | `[protected]`

Definition at line 122 of file QuerySkeleton.class.php.

Referenced by SelectQuery::get(), and returning().

QuerySkeleton::returning | ( | $ | field,
|  | $ | alias = `null` |
| ) |  |  |

Returns:
  QuerySkeleton

Definition at line 72 of file QuerySkeleton.class.php.

References resolveAliasByField(), and resolveSelectField().

Referenced by checkReturning(), dropReturning(), InsertOrUpdateQuery::toDialectString(), DeleteQuery::toDialectString(), and toDialectStringReturning().

Here is the call graph for this function:

QuerySkeleton::toDialectString | ( | Dialect $ | dialect | ) |

Definition at line 98 of file QuerySkeleton.class.php.

References where().

Here is the call graph for this function:

QuerySkeleton::toDialectStringField | ( | $ | field,
|  | Dialect $ | dialect |
| ) |  |  | `[protected]`

Definition at line 195 of file QuerySkeleton.class.php.

References Assert::isTrue(), and Dialect::quoteField().

Referenced by SelectQuery::toDialectString(), and toDialectStringReturning().

Here is the call graph for this function:

QuerySkeleton::toDialectStringReturning | ( | Dialect $ | dialect | ) | `[protected]`

Definition at line 210 of file QuerySkeleton.class.php.

References returning(), and toDialectStringField().

Here is the call graph for this function:

QuerySkeleton::where | ( | LogicalObject $ | exp,
|  | $ | logic = `null` |
| ) |  |  |

Exceptions:

  | WrongArgumentException |

Returns:
  QuerySkeleton

Definition at line 36 of file QuerySkeleton.class.php.

Referenced by andWhere(), orWhere(), StorableDAO::targetizeUpdateQuery(), toDialectString(), and DeleteQuery::toDialectString().

## Member Data Documentation

QuerySkeleton::$aliases = array()`[protected]`

Definition at line 19 of file QuerySkeleton.class.php.

QuerySkeleton::$returning = array()`[protected]`

Definition at line 20 of file QuerySkeleton.class.php.

QuerySkeleton::$where = array()`[protected]`

Definition at line 17 of file QuerySkeleton.class.php.

QuerySkeleton::$whereLogic = array()`[protected]`

Definition at line 18 of file QuerySkeleton.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/QuerySkeleton.class.php